Skip to main content
PATCH
/
api
/
v1
/
workflows
/
{workflow_id}
/
notifications
/
channels
/
{channel_id}
Update Workflow Channel
curl --request PATCH \
  --url https://platform.unstructuredapp.io/api/v1/workflows/{workflow_id}/notifications/channels/{channel_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "channel_type": "webhook",
  "description": "<string>",
  "event_types": [
    "job.scheduled"
  ],
  "enabled": true,
  "url": "<string>",
  "secret": "<string>",
  "email_config": {
    "cc": [
      "jsmith@example.com"
    ],
    "reply_to": "jsmith@example.com",
    "recipient_email": "jsmith@example.com"
  }
}
'
{
  "id": "<string>",
  "event_types": [
    "<string>"
  ],
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "channel_type": "webhook",
  "description": "<string>"
}

Headers

unstructured-api-key
string | null

Path Parameters

workflow_id
string<uuid>
required
channel_id
string
required

Body

application/json

Common fields for all channel update requests.

channel_type
enum<string> | null

Channel type (immutable)

Available options:
webhook,
email
description
string | null

Channel description

Maximum string length: 255
event_types
enum<string>[] | null

Event types to subscribe to

Minimum array length: 1

Webhook event types derived from internal JOB_STATUSCHANGED_V1 statuses.

Available options:
job.scheduled,
job.in_progress,
job.completed,
job.stopped,
job.failed
enabled
boolean | null

Enable/disable channel

url
string | null

Webhook endpoint URL (HTTPS required)

secret
string | null

Consumer-supplied signing secret (24-75 bytes). Pass empty string to remove custom secret.

email_config
EmailChannelConfigUpdate · object

Email channel configuration

Response

Successful Response

Response for webhook notification channel.

id
string
required

Channel ID

event_types
string[]
required

Subscribed event types

enabled
boolean
required

Channel enabled status

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

url
string
required

Webhook endpoint URL

channel_type
string
default:webhook
Allowed value: "webhook"
description
string | null

Channel description